@import (inline) '../../node_modules/jquery-youtube-background/src/style.css';
@import (inline) '../../node_modules/bootstrap-3-grid/bootstrap-3-grid.css';
@import (inline) '../../node_modules/sweetalert2/dist/sweetalert2.css';
@import (inline) '../../node_modules/lightgallery/dist/css/lightgallery.css';
@import (inline) '../../node_modules/lightgallery/dist/css/lg-transitions.css';


@import url('https://use.fontawesome.com/releases/v5.3.1/css/all.css');
@import url('https://fonts.googleapis.com/css?family=Fjalla+One');
@font-face {
      font-family: 'lg';
      src: url('../node_modules/lightgallery/dist/fonts/lg.eot');
      src: url('../node_modules/lightgallery/dist/fonts/lg.woff') format('woff'),
           url('../node_modules/lightgallery/dist/fonts/lg.ttf') format('truetype'),
           url('../node_modules/lightgallery/dist/fonts/lg.svg') format('svg');
      font-weight: normal;
      font-style: normal;
  }

@beige: #FDF0ED;
@orange: #ED6B32;
@rose:#EDB8D2;
@violet:#413789;

html,body{
  margin:0;
  padding:0;
  height:100%;
  font-family: Helvetica,sans-serif;
}

h1,h2,#timer,#video,li{
  font-family: 'Fjalla One';
}
h1{
  font-size: 7em;
}
h2{
  font-size:3.5em;
}

#video{
 position: relative;
 background: transparent;
 height:100%;
 .ytplayer-container{
  position: absolute;
  top: 0;
  z-index: -1;
  }
  .ytplayer-container:after {
     position: absolute;
     z-index: 10;
     content: "";
     width: 100%;
     height: 100%;
     background-color: rgba(237,184,210,.7);
   }
  .hero-text {
      color: white;
      display: grid;
      margin: auto;
      width: 100%;
      height:100%;
      grid-template-columns: auto auto;
      align-items:center;
      p:first-of-type {
        justify-self: end;
        font-size: 9em;
        padding-right: 15px;
        text-align: right;
      }
      p:last-of-type {
        justify-self: start;
        font-size: 3.5em;
        padding-bottom: 185px;
        padding-left: 20px;
        align-self: center;
        border-left: white 6px solid;
      }
    }
}


#parallax {
  display: grid;
  grid-template-columns: 2fr 1fr;
}
img[alt='Saint-Malo'] {position: absolute; right: 13%; top: 113%; width: 400px; height: auto;}
img[alt='Hello'] {position: absolute; right: 10%; top: 195%; width:250px; height: auto;}
img[alt='Birds'] {margin-top: 400px; margin-left: 170px;width: 325px; height: auto;}

.grid-parallax {
  padding: 100px 120px 80px 40px;
  color:@violet;
  background-color: @beige;
  h1 {text-transform: uppercase; margin: 0; color:@orange;
  font-size: 5em;}
  h3 {font-size: 2.5em;}
  p{font-size: 1.4em;}
}


#parallax1 {
  display: grid;
  grid-template-columns: 1fr 2fr;
}
img[alt='Huitre'] {position: absolute; left: 13%; top: 3066px; width: 400px; height: auto;}
img[alt='Crepe'] {position: absolute; left: 10%; top: 4580px; width:250px; height: auto;}
img[alt='Mains'] {margin-top: 370px; margin-left: 20px;width: 325px; height: auto; padding-bottom: 20px}

.grid-parallax1 {
  padding: 100px 80px 80px 120px;
  color:@violet;
  background-color: @rose;
  h1 {text-transform: uppercase; margin: 0; color:white;
  font-size: 5em;}
  h3 {font-size: 2em;}
  p{font-size: 1.4em;}
  a {color: @violet; text-decoration: none; font-weight: bold;}
  a:hover {color: @orange;}
}


#timer{
  height:auto;
  background-color:@violet;
  color:#fff;
  text-align: center;
  font-size: 2em;
  padding: 20px 0;
  #clock{
    margin:1em 0;
   span{
    color:@rose;
    padding: 0 7px;
    font-weight: 800;
    font-size: 1.1em;
    }
  }
}


#gallery {
  background-color: @rose;
  padding-bottom: 40px;
  h2{
  text-transform: uppercase;
  color:white;
  text-align: center;
  margin: 0;
  padding: 40px 0;
}
  #lightgallery{
    width: 90%;
    margin: auto;
    a{box-sizing: border-box;padding:15px 35px;text-align: center;}
    img{
      width:60%;
      height:60%;
      border-radius: 100%;
      cursor:pointer;
    }
  }
}
.lg-backdrop{
  background-color: #FDF0ED;
}
.lg-prev, .lg-next{transform:rotate(90deg);}

#lg-counter{color:#fff;font-weight: 700;}


.carte {
  height: auto;
  background-color: @beige;
  text-align: center;
  img {max-width: 1000px; object-fit: contain;
  margin: 40px auto;}
}


#vignette{
  background-color: @beige;
  overflow: hidden;
  padding-bottom: 40px;
  h2{
    text-align: center;
    color:@violet;
    text-transform: uppercase;
  }
  h3{
    color:@orange;
    text-align: center;
    font-size: 1.6em;
  }
  div{
    overflow: hidden;
    img:first-of-type{
      margin-left: 150px;
    }
  }
}
footer{
  background-color: @beige;
  display: grid;
  grid-template-columns: 3fr 2fr 2fr;
  align-items: center;
  clear:both;
  h2{
    color:@violet;
    font-size: 2.5em;
    justify-self: end;
    padding-right: 150px;
  }
  ul li{
    list-style: none;
    color:@violet;

  }
  #lien li{
    font-size: 1.2em;
    margin:10px 0;
    a{color:@violet;text-decoration: none;}
    :hover{color:@orange;}
  }
  #social{
    padding-inline-start:0;
    li{
      display:inline;
      margin:1em;
      .fab{
        color:@violet;
      }
      :hover{color:@orange;}
    }
  }
}

#lien li.mail{
  cursor: pointer;
  :hover{color:@orange;}

}

.copyright {
  span {display: inline;}
  grid-column: span 2;
  padding-left: 20px;
  color: @violet;
  span a {color: @violet; text-decoration: none;}
  span a:hover {color: @orange;}
}
